Subject: Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Mon, 15 Feb 2021 12:56:35 +0000

Eli Zaretskii <[email-masked]> writes:

> On February 15, 2021 11:01:19 AM GMT+02:00, Andy Moreton <[email-masked]> wrote:
>> On Sun 14 Feb 2021, Eli Zaretskii wrote:
>> 
>> >> From: Andy Moreton <[email-masked]>
>> >> Date: Sun, 14 Feb 2021 13:24:32 +0000
>> >> 
>> >> > I suspect that this problem may not be Windows-specific, and
>> should be
>> >> > reproducable on Linux, but I have not tried that.
>> >> 
>> >> I have also tried the mingw.org 32bit toolchain (i686-pc-mingw32)
>> when
>> >> configured with with "--with-nativecomp --with-wide-int", and that
>> >> works.
>> >
>> > Thanks, that's good news.
>> >
>> >> Thus this bug seems to be a problem with the MSYS2 mingw32 32bit
>> >> toolchain (i686-w64-mingw32) only.
>> >
>> > It does seem that way, although I wonder what could that problem
>> be...
>> 
>> I have only just discovered this news item:
>> 
>> https://www.msys2.org/news/#2020-05-17-32-bit-msys2-no-longer-actively-supported
>> 
>> Perhaps that means that only the mingw.org (i686-w64-mingw32)
>> toolchain
>> should be supported for 32bit builds on Windows.
>> 
>>     AndyM
>
> Right, but Andrea said there were problems on Posix systems as well with this configuration, so it could be that something else is at work here.

Confirm, I see a problem compiling closures, this should be the
responsible for the bootstrap to be broken (at least on my case).

Yesterday I've already reduced a small reproducer so I should be on the
good way to understand during the next debug session why this is
happening only on wide-int.

It will be interesting why is working in some configuration and not in
others.

  Andrea